StarItemStyle Class Reference

brief class used to stored the style More...

`#include <StarItem.hxx>`

## Public Types

enum | FamilyStyle { F_Char =1 , F_Paragraph =2 , F_Frame =4 , F_Page =8 , F_Pseudo =0x10 , F_ALL =0xFE }
| the different family style More...

## Public Member Functions

| StarItemStyle ()
| constructor

## Public Attributes

librevenge::RVNGString | m_names [4]
| the name, the parent name, the follow name, the help names
int | m_family
| the family
int | m_mask
| the mask
StarItemSet | m_itemSet
| the item list
unsigned | m_helpId
| the help id
int | m_outlineLevel
| the outline level

## Friends

std::ostream & | operator<< (std::ostream &o, StarItemStyle const &style)
| operator<<

## Detailed Description

brief class used to stored the style

## Member Enumeration Documentation

## FamilyStyle

enum StarItemStyle::FamilyStyle

the different family style

Enumerator
F_Char |
F_Paragraph |
F_Frame |
F_Page |
F_Pseudo |
F_ALL |

## Constructor & Destructor Documentation

## StarItemStyle()

StarItemStyle::StarItemStyle | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | StarItemStyle const & | style )

friend

operator<<

## Member Data Documentation

## m_family

int StarItemStyle::m_family

the family

Referenced by operator<<, StarItemPool::readStyles(), and StarItemStyle().

## m_helpId

unsigned StarItemStyle::m_helpId

the help id

Referenced by operator<<, StarItemPool::readStyles(), and StarItemStyle().

## m_itemSet

StarItemSet StarItemStyle::m_itemSet

the item list

Referenced by operator<<, StarItemPool::readStyles(), StarObjectTextInternal::TextZone::send(), and StarItemStyle().

## m_mask

int StarItemStyle::m_mask

the mask

Referenced by operator<<, StarItemPool::readStyles(), and StarItemStyle().

## m_names

librevenge::RVNGString StarItemStyle::m_names[4]

the name, the parent name, the follow name, the help names

Referenced by operator<<, and StarItemPool::readStyles().

## m_outlineLevel

int StarItemStyle::m_outlineLevel

the outline level

Referenced by StarObjectTextInternal::TextZone::send(), and StarItemStyle().

The documentation for this class was generated from the following file:

- StarItem.hxx